package com.rms.tfc.service;

import java.util.List;

import com.rms.tfc.entity.Pedido;
import com.rms.tfc.entity.Producto;

public interface PedidoService {

	public List<Pedido> getAllPedidosPendientes();
	
	public DetallePedidoBean getDetallePedido(Long idPedido);
	
	public List<Pedido> getAllPedidosHistorico(String descripcion, String fechaDesde, String fechaHasta);
	
	public List<Producto> getAllProductos();
	
	public void creaNewPedido(String descripcion, List<LineaBean> lineas);
	
	public RecibirPedidoBean getRecibirPedidoBean(Long idPedido);
	
	public void recibePedido(Long idPedido, List<LineaBean> lineas);
}